当前位置: 首页 > >

集成融云imlib遇到的问题

发布时间:

总体来说融云没什么大问题,但是这次集成遇到了一个问题,问题如下图所示:





io.rong.push.PushService

这些类找不到了,但是我demo跑起来没毛病啊,很不爽去找找demo看看;但是要从哪里入手呢,那就找demo里的PushService这个类点进去,发现PushService extends JobIntentService,接下来咱们看下demo的JobIntentService,点进去发现他是在26的V4包里的;好了咱们回到项目里看看,发现只能看到PushService这个类,后续JobIntentService看不到了,好了,咱们去找下v4的版本是多少,如下图所示:




发现我们项目里统一配置的surrprtVersion是25,然后就提升下改成26,同步下;发现清单文件里面提示的红线没了,完美解决!


然后这个具体的原因:盗听狐说的说是 融云为了兼容8.0的啥啥啥然后这么弄。有兴趣的同学自己深入研究下。我先闪,我能力不够,我去发育下。



友情链接: